# use the HOST-RESOURCES-MIB to determine running processes
test snmpprocs_procs extends procs_PROCS {
    static set description "Monitor remote processes using SNMP HOST-MIB - monitor running processes paths";
    static set features remote;
    static set domain snmp;
    static set procsvariable hrSWRunPath;
    set community "public";
    static set arguments ${arguments}
	"community:string:The SNMP get community";

    init {
	instance import community;
    }
}

# use the HOST-RESOURCES-MIB to determine running processes
test snmpprocs_procs_alternate extends procs_PROCS {
    static set description "Monitor remote processes using SNMP HOST-MIB - monitor running processes names";
    static set features remote;
    static set name "procsname";
    static set domain snmp;
    static set procsvariable hrSWRunName;
    set community "public";
    static set arguments ${arguments}
	"community:string:The SNMP get community";

    init {
	instance import community;
    }
}
